# $Header: /home/dvermeir/cvsroot/bisonpp/doc/calc.makefile,v 1.2 2002/07/27 10:49:43 dvermeir Exp $
#
CXX= g++
CXXFLAGS= -Wall -g

CCFILES= calc.C expparser.C explexer.C
HHFILES= expparser.h explexer.h

all: make.depend calc

calc: expparser.o explexer.o calc.o
	$(CXX) -o $@ $^

expparser.C: expparser.yy
	bisonpp -d --class ExpParser $< && mv y.tab.c expparser.C

explexer.C: explexer.ll
	flex++ -f -t $^ >$@
clean:
	/bin/rm -f *.o explexer.C expparser.C y.tab.h calc make.depend
#
make.depend: $(CCFILES) $(HHFILES)
	$(CXX) $(CPPFLAGS) -M $(CCFILES) >$@
#
include 	make.depend
